Oracle Linux 6 : firefox (ELSA-2018-3006)

High Nessus Plugin ID 118709

Synopsis

The remote Oracle Linux host is missing a security update.

Description

From Red Hat Security Advisory 2018:3006 :

An update for firefox is now available for Red Hat Enterprise Linux 6.

Red Hat Product Security has rated this update as having a security
impact of Critical. A Common Vulnerability Scoring System (CVSS) base
score, which gives a detailed severity rating, is available for each
vulnerability from the CVE link(s) in the References section.

Mozilla Firefox is an open source web browser, designed for standards
compliance, performance, and portability.

This update upgrades Firefox to version 60.3.0 ESR.

Security Fix(es) :

* Mozilla: Memory safety bugs fixed in Firefox 63 and Firefox ESR 60.3
(CVE-2018-12390)

* Mozilla: Crash with nested event loops (CVE-2018-12392)

* Mozilla: Integer overflow during Unicode conversion while loading
JavaScript (CVE-2018-12393)

* Mozilla: WebExtension bypass of domain restrictions through header
rewriting (CVE-2018-12395)

* Mozilla: WebExtension content scripts can execute in disallowed
contexts (CVE-2018-12396)

* Mozilla: WebExtension local file permission check bypass
(CVE-2018-12397)

* Mozilla: Memory safety bugs fixed in Firefox ESR 60.3
(CVE-2018-12389)

For more details about the security issue(s), including the impact, a
CVSS score, and other related information, refer to the CVE page(s)
listed in the References section.

Red Hat would like to thank the Mozilla project for reporting these
issues. Upstream acknowledges Christian Holler, Bob Owen, Boris
Zbarsky, Calixte Denizet, Jason Kratzer, Jed Davis, Taegeon Lee,
Philipp, Ronald Crane, Raul Gurzau, Gary Kwong, Tyson Smith, Raymond
Forbes, Bogdan Tara, Nils, r, Rob Wu, Andrew Swan, and Daniel Veditz
as the original reporters.

Solution

Update the affected firefox package.

See Also

https://oss.oracle.com/pipermail/el-errata/2018-November/008183.html

Plugin Details

Severity: High

ID: 118709

File Name: oraclelinux_ELSA-2018-3006.nasl

Version: 1.1

Type: local

Agent: unix

Published: 2018/11/02

Modified: 2018/11/02

Dependencies: 12634

Risk Information

Risk Factor: High

Vulnerability Information

CPE: p-cpe:/a:oracle:linux:firefox, cpe:/o:oracle:linux:6

Patch Publication Date: 2018/11/02

Reference Information

CVE: CVE-2018-12389, CVE-2018-12390, CVE-2018-12392, CVE-2018-12393, CVE-2018-12395, CVE-2018-12396, CVE-2018-12397

RHSA: 2018:3006